* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  width: 100%;
  min-height: 100vh;
  display: grid;
  place-content: center;
}

.container {
  display: grid;
  place-content: center;
  padding: 2rem;
  text-align: center;
  min-height: 200px;
  min-width: 300px;
  border-radius: 8px;
  position: relative;
  overflow: hidden;
}

.container::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: black;
  z-index: -1;
}

.information {
  margin-bottom: 1.2rem;
}

.emoji {
  font-size: 2.2rem;
  height: 20px;
  margin-bottom: 2rem;
}

.status {
  font-size: 2rem;
  color: honeydew;
}

.stars {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row-reverse;
}

.star {
  height: 40px;
  width: 40px;
  cursor: pointer;
}

.star svg {
  fill: none;
  width: 100%;
  height: 100%;
  stroke: none;
  fill: rgb(245, 233, 233);
}

.selected svg,
.selected ~ .star svg {
  fill: gold;
}
.star:hover svg,
.star:hover ~ .star svg {
  fill: gold;
}
